PSKGEN(8)

NAME
pskgen - Pre-shared key generater and converter for IKE

SYNOPSIS
pskgen -r [-s length] [-o file] [-d]
pskgen -i file [-h] [-o file] [-d]
pskgen -e file [-o file] [-d]

DESCRIPTION
pskgen creates a pre-share key file for the iked of the Racoon2 system. There are three modes. The first is that it will create a randomized key. The second is that it will create the key from the input file. Note that the Racoon2 only uses the first line of the input file that is plain text format except the case when the -h option is not specified. pskgen ignores the second line of the file specified and more than that. The third is that it will convert the key file to the format of the -h option.

  Randomized key mode
-r  output random bytes.
-s  specify the byte length of the key. the default is $default_keysize bytes.
-o  specify the output file.
-d  debug mode. no harm to any file.

  File specific mode
-i  specify the input file. ‘-’ means the standard input.
-h  assumed that the input file is writted by the following syntax: 0x leading one or two of hexadecimal number separated space characters. For example:
        0x72 0x61 0x63 0x6f 0x6f 0x6e
-o  specify the output file.
-d  debug mode. no harm to any file.

  Export Mode
-e  export the key file. the format is like the option -h defined.
-o  specify the output file.
-d  debug mode. no harm to any file.

SEE ALSO
racoon2(7), racoon2.conf(5), iked(8)